Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.codec
Class Charsets

    java.lang.Object
      org.apache.commons.codec.Charsets

    public class Charsets

extends Object

Charsets required of every implementation of the Java platform. From the Java documentation Standard charsets:

Every implementation of the Java platform is required to support the following character encodings. Consult the release documentation for your implementation to see if any other encodings are supported. Consult the release documentation for your implementation to see if any other encodings are supported.

- `US-ASCII`
  Seven-bit ASCII, a.k.a. ISO646-US, a.k.a. the Basic Latin block of the Unicode character set.
- `ISO-8859-1`
  ISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1.
- `UTF-8`
  Eight-bit Unicode Transformation Format.
- `UTF-16BE`
  Sixteen-bit Unicode Transformation Format, big-endian byte order.
- `UTF-16LE`
  Sixteen-bit Unicode Transformation Format, little-endian byte order.
- `UTF-16`
  Sixteen-bit Unicode Transformation Format, byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output.)

This perhaps would best belong in the Commons Lang project. Even if a similar class is defined in Commons Lang, it is not foreseen that Commons Codec would be made to depend on Commons Lang.

This class is immutable and thread-safe.

Since:
  1.7
Version:
  $Id: CharEncoding.java 1173287 2011-09-20 18:16:19Z ggregory $
See Also:
  Standard charsets

Field Summary
`static Charset` | `ISO_8859_1` CharEncodingISO Latin Alphabet No.
`static Charset` | `US_ASCII` Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.
`static Charset` | `UTF_16` Sixteen-bit Unicode Transformation Format, The byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output)
`static Charset` | `UTF_16BE` Sixteen-bit Unicode Transformation Format, big-endian byte order.
`static Charset` | `UTF_16LE` Sixteen-bit Unicode Transformation Format, little-endian byte order.
`static Charset` | `UTF_8` Eight-bit Unicode Transformation Format.

Constructor Summary
`Charsets()`

Method Summary
`static Charset` | `toCharset(Charset charset)` Returns the given Charset or the default Charset if the given Charset is null.
`static Charset` | `toCharset(String charset)` Returns a Charset for the named charset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ISO_8859_1

    public static final Charset ISO_8859_1

  CharEncodingISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1.

  Every implementation of the Java platform is required to support this character encoding.

  See Also:
    Standard charsets

### US_ASCII

    public static final Charset US_ASCII

  Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.

  Every implementation of the Java platform is required to support this character encoding.

  See Also:
    Standard charsets

### UTF_16

    public static final Charset UTF_16

  Sixteen-bit Unicode Transformation Format, The byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output)

  Every implementation of the Java platform is required to support this character encoding.

  See Also:
    Standard charsets

### UTF_16BE

    public static final Charset UTF_16BE

  Sixteen-bit Unicode Transformation Format, big-endian byte order.

  Every implementation of the Java platform is required to support this character encoding.

  See Also:
    Standard charsets

### UTF_16LE

    public static final Charset UTF_16LE

  Sixteen-bit Unicode Transformation Format, little-endian byte order.

  Every implementation of the Java platform is required to support this character encoding.

  See Also:
    Standard charsets

### UTF_8

    public static final Charset UTF_8

  Eight-bit Unicode Transformation Format.

  Every implementation of the Java platform is required to support this character encoding.

  See Also:
    Standard charsets

Constructor Detail

### Charsets

    public Charsets()

Method Detail

### toCharset

    public static Charset toCharset(Charset charset)

  Returns the given Charset or the default Charset if the given Charset is null.

  Parameters:
    `charset` - A charset or null.
  Returns:
    the given Charset or the default Charset if the given Charset is null

### toCharset

    public static Charset toCharset(String charset)

  Returns a Charset for the named charset. If the name is null, return the default Charset.

  Parameters:
    `charset` - The name of the requested charset, may be null.
  Returns:
    a Charset for the named charset
  Throws:
    `UnsupportedCharsetException` - If the named charset is unavailable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Apache Software Foundation. All Rights Reserved.